#include<iostream>
#include<cmath>
using namespace std;

int BrojCifara(int a)
{
	int i=0;
	while(a>0)
	{
		a=a/10;
		i++;
	}
	return i;
}

int main()
{
    int a, b, c, x;
    cin>>a>>b>>c;
    int na=BrojCifara(a);
    int nb=BrojCifara(b);
    int nc=BrojCifara(c);
    int x1=a*pow(10,nb+nc)+b*pow(10,nc)+c;
    int x2=a*pow(10,nb+nc)+c*pow(10,nb+b);
    int x3=b*pow(10,na+nc)+a*pow(10,nc)+c;
    int x4=b*pow(10,na+nc)+c*pow(10,na)+a;
    int x5=c*pow(10,na+nb)+a*pow(10,nb)+b;
    int x6=c*pow(10,na+nb)+c*pow(10,na)+a;
    x=x1;
    if(x2>x)x=x2;
    if(x3>x)x=x3;
    if(x3>x)x=x4;
    if(x5>x)x=x5;
    if(x6>x)x=x6;
    cout<<x<<endl;
    return 0;
}